95.5. The Verbatim command processor
Prev | 95. A generic inclusion command | Next

### 95.5. The Verbatim command processor

This command processor written in Java™ does not require a shell or `cmd.exe` to be executed. Simply use "`!!`" followed by (possibly quoted) command line arguments to invoke it.

Usage: !! `element_name` [ [ `text_file_option` ]* `text_file` ]+

Wrap specified text files into specified XML elements.

Relative filenames are relative to the location of the inclusion.

Text file options are:

-e text_file_encoding

  Specifies the encoding of input text files. Default: auto-detected for URLs, native encoding for files.

  "`-e -`" may be used to reset the option to its default value.

-f first_line

  Extract part starting at specified line. Default: first line of the text file.

  A line may be specified as:

  - A line number (starting at 1). Example: "`-f 10`".

  - A substring of the line. Example: "`-f /main(/`".

    Note that any character (here "`/`") may be used to quote the substring.

  - A combination of a substring and a line offset. Example: "`-f ^main(^-1`".

  "`-f -`" may be used to reset the option to its default value.

-l last_line

  Extract part ending at specified line (inclusive). Default: last line of the text file.

  "`-l -`" may be used to reset the option to its default value.

-t tab_width

  Expand tab characters using specified tab width. Default: do not expand tab characters.

  "`-t -`" may be used to reset the option to its default value.

-n

  Number lines. Default: do not number lines.

  "`-n-`" may be used to reset the option to its default value.

Example 1: `!! screen /var/log/error.log`

Example 2: `!! {http://www.w3.org/1999/xhtml}pre src/api.h -e UTF-7 src/parse.c -e - src/format.c`

Example 3: `!! programlisting -n -f "^/*^+2" -l "~*/~-2" Main.java`

Prev | Up | Next
95.4. The ShellExec command processor | Home | Chapter 7. XPath functions